# Generated by go2rpm
%bcond_without check

# https://github.com/docker/distribution
%global goipath         github.com/docker/distribution
Version:                2.7.1

%gometa

%global common_description %{expand:
The Docker toolset to pack, ship, store, and deliver content.

This repository's main product is the Docker Registry 2.0 implementation for
storing and distributing Docker images. It supersedes the docker/docker-registry
project with a new API design, focused around security and performance.}

%global golicenses      LICENSE
%global godocs          docs BUILDING.md CONTRIBUTING.md README.md ROADMAP.md

Name:           %{goname}
Release:        3%{?dist}
Summary:        Docker toolset to pack, ship, store, and deliver content

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}
# Needed by containerd
Patch0:         https://github.com/docker/distribution/commit/0ac367fd6bee057d404c405a298b4b7aedf301ec.patch#/0001-Add-reference-ParseDockerRef-utility-function.patch


BuildRequires:  golang(github.com/aws/aws-sdk-go/aws)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/awserr)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/corehandlers)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/credentials)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/credentials/ec2rolecreds)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/ec2metadata)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/endpoints)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/request)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/session)
BuildRequires:  golang(github.com/aws/aws-sdk-go/service/cloudfront/sign)
BuildRequires:  golang(github.com/aws/aws-sdk-go/service/s3)
BuildRequires:  golang(github.com/Azure/azure-sdk-for-go/storage)
BuildRequires:  golang(github.com/bshuster-repo/logrus-logstash-hook)
BuildRequires:  golang(github.com/bugsnag/bugsnag-go)
BuildRequires:  golang(github.com/docker/go-metrics)
BuildRequires:  golang(github.com/docker/libtrust)
BuildRequires:  golang(github.com/garyburd/redigo/redis)
BuildRequires:  golang(github.com/gorilla/handlers)
BuildRequires:  golang(github.com/gorilla/mux)
BuildRequires:  golang(github.com/mitchellh/mapstructure)
BuildRequires:  golang(github.com/ncw/swift)
BuildRequires:  golang(github.com/opencontainers/go-digest)
BuildRequires:  golang(github.com/opencontainers/image-spec/specs-go/v1)
BuildRequires:  golang(github.com/Shopify/logrus-bugsnag)
BuildRequires:  golang(github.com/sirupsen/logrus)
BuildRequires:  golang(github.com/spf13/cobra)
BuildRequires:  golang(github.com/yvasiyarov/gorelic)
BuildRequires:  golang(golang.org/x/crypto/bcrypt)
BuildRequires:  golang(gopkg.in/check.v1)
BuildRequires:  golang(gopkg.in/yaml.v2)
BuildRequires:  golang(rsc.io/letsencrypt)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/ncw/swift/swifttest)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
%patch0 -p1

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck -d health/checks \
         -d registry/handlers \
         -t registry/storage/driver
%endif

%files
%license LICENSE
%doc docs BUILDING.md CONTRIBUTING.md README.md ROADMAP.md
%{_bindir}/*

%gopkgfiles

%changelog
* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed May 01 17:39:11 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 2.7.1-1
- Initial package
